- stat:
    path: /usr/local/bin/ttbp
  register: ttbp
  
- name: custom-ttbp-source
  git:
    repo: https://tildegit.org/envs/ttbp.git
    dest: /tmp/ttbp
  when: not ttbp.stat.exists
     
- name: custom-ttbp-pkg
  apt:
    name: "python-setuptools"
    state: present

- name: custom-ttbp-setup
  command: 
    cmd: "python /tmp/ttbp/setup.py install"
    chdir: /tmp/ttbp
  when: not ttbp.stat.exists

- name: custom-ttbp-tmp
  file:
    path: /tmp/ttbp
    state: absent
  when: not ttbp.stat.exists
